Post Command Editor Draft Turn
curl --request POST \
--url https://analyst.heyhumm.ai/commands/{command_id}/editor/draft/turn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"draft_id": "<string>"
}
'import requests
url = "https://analyst.heyhumm.ai/commands/{command_id}/editor/draft/turn"
payload = {
"message": "<string>",
"draft_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', draft_id: '<string>'})
};
fetch('https://analyst.heyhumm.ai/commands/{command_id}/editor/draft/turn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"draft_id": "<string>",
"organization_id": "<string>",
"command_id": "<string>",
"base_command": {
"name": "<string>",
"content": "<string>",
"current_version": 123,
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"schema_version": "v1",
"status": "draft",
"messages": [
{}
],
"proposed_command": {
"name": "<string>",
"content": "<string>",
"current_version": 123,
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"change_summary": "<string>",
"diff_message_index": 123,
"diff_history": [
{
"message_index": 123,
"summary": "<string>",
"fields": [
{
"before": "<string>",
"after": "<string>"
}
]
}
],
"warnings": [
"<string>"
],
"approvable": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Post Command Editor Draft Turn
Create or revise a command edit draft without mutating the command.
POST
/
commands
/
{command_id}
/
editor
/
draft
/
turn
Post Command Editor Draft Turn
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Command ID
Query Parameters
Body
application/json
Response
Successful Response
Persisted state for one command editor chat thread.
Command fields captured for diffing and stale-version checks.
Show child attributes
Show child attributes
Available options:
draft, applied Command fields captured for diffing and stale-version checks.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I